server {
    listen       80;
    server_name  localhost;

    # Don't advertise
    server_tokens off;

    # Don't merge slashes
    merge_slashes off;

    root /dev/null;

      location / {
        proxy_set_header  X-Real-IP        $remote_addr;
        proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
        proxy_set_header  Host             $http_host;
        proxy_redirect    off;
        proxy_pass http://vtn-rails:8080;
      }
}

server {
    listen 443 ssl default_server;
    server_name localhost;
    root /dev/null;

    # Don't advertise
    server_tokens off;

    # Don't merge slashes
    merge_slashes off;

    location / {
        proxy_set_header  X-Real-IP        $remote_addr;
        proxy_set_header  X-Forwarded-For  $proxy_add_x_forwarded_for;
        proxy_set_header  Host             $http_host;
        proxy_redirect    off;
        proxy_pass http://vtn-rails:8080;
    }

    ssl_certificate /etc/ssl/ssl.crt;
    ssl_certificate_key /etc/ssl/ssl.key;
}
